PrefabFiles = {
	"aphid",
	"aphid_none",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/aphid.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/aphid.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/aphid.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/aphid.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/aphid_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/aphid_silho.xml" ),

    Asset( "IMAGE", "bigportraits/aphid.tex" ),
    Asset( "ATLAS", "bigportraits/aphid.xml" ),
	
	Asset( "IMAGE", "images/map_icons/aphid.tex" ),
	Asset( "ATLAS", "images/map_icons/aphid.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_aphid.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_aphid.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_aphid.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_aphid.xml" ),
	
	Asset( "IMAGE", "images/avatars/self_inspect_aphid.tex" ),
    Asset( "ATLAS", "images/avatars/self_inspect_aphid.xml" ),
	
	Asset( "IMAGE", "images/names_aphid.tex" ),
    Asset( "ATLAS", "images/names_aphid.xml" ),
	
    Asset( "IMAGE", "bigportraits/aphid_none.tex" ),
    Asset( "ATLAS", "bigportraits/aphid_none.xml" ),

	Asset("SOUNDPACKAGE", "sound/aphid.fev"),
	Asset("SOUND", "sound/aphid.fsb"),
}

RemapSoundEvent( "dontstarve/characters/aphid/death_voice", "aphid/aphid/death_voice" )
RemapSoundEvent( "dontstarve/characters/aphid/hurt", "aphid/aphid/hurt" )
RemapSoundEvent( "dontstarve/characters/aphid/talk_LP", "aphid/aphid/talk_LP" )

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.aphid = "The vegetable"
STRINGS.CHARACTER_NAMES.aphid = "Aphid"
STRINGS.CHARACTER_DESCRIPTIONS.aphid = "*Packs a punch\n*Thick and scaly\n*Scared of the dark"
STRINGS.CHARACTER_QUOTES.aphid = "\"If a plant is sad, do the others photosympathize with it?\""

-- Custom speech strings
STRINGS.CHARACTERS.APHID = require "speech_aphid"

-- The character's name as appears in-game 
STRINGS.NAMES.aphid = "Esc"

AddMinimapAtlas("images/map_icons/aphid.xml")

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("aphid", "MALE")

